The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Релиз проприетарного драйвера AMD Catalyst 14.4

26.04.2014 18:45

Компания AMD опубликовала стабильный релиз проприетарного драйвера AMD Catalyst 14.4 (117 Мб). В новом выпуске обеспечена полная поддержка OpenGL 4.4 и сопутствующих OpenGL-расширений. Добавлена возможность работы на видеокартах AMD Radeon R9 295X. Реализована совместимость с обновлёнными компонентами графического стека Ubuntu 12.04.4. Исправлены ошибки, в том числе утечка памяти, зависание при запуске Sanctuary BM с включенным Tear Free Desktop, проблемы с созданием контекста EGL для glesx, зависание GPU в режиме CrossFire, чёрный экран при запуске игр из режима Big Picture в Steam.

Из официально поддерживаемых дистрибутивов отмечены Red Hat Enterprise Linux 6.3/6.4, SUSE Linux Enterprise 11 SP3, openSUSE 11.4/12.1 и Ubuntu 12.04.2, 12.04.4 и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux - 3.11.

  1. Главная ссылка к новости (http://support.amd.com/en-us/d...)
Лицензия: CC-BY
Тип: Программы
Ключевые слова: amd, catalyst, driver
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (22) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Sluggard (ok), 20:04, 26/04/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Вечно у них древние иксы и ядра заявляются, как поддерживаемые.
    Хотя в прошлой catalyst-новости, про RC, писали, что на ядро 3.15 успешно встаёт блоб.
    Вот и пойми...
     
     
  • 2.2, Beta Version (ok), 20:06, 26/04/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Это называется "официальная поддержка".
     
     
  • 3.3, Sluggard (ok), 20:20, 26/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Она какая-то уж очень древняя у них.
     
  • 3.4, grem (?), 20:24, 26/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Странно, что в Release Notes к 14.4_beta упоминались "Xorg/Xserver 7.4 and above (up to 1.15)
    Linux kernel 2.6 or above (up to 3.13)". Но обычно и на чуть более новых версиях чем указано работает.
     
  • 3.5, Аноним (-), 22:44, 26/04/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    А вообще почему так происходит? В ядре постоянно меняется интерфейс взаимодейтсвия с драйвером? Или его впронципе нет и всё каким-то образом хукается?
     
     
  • 4.10, kravich (ok), 02:49, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >В ядре постоянно меняется интерфейс взаимодейтсвия с драйвером

    This. Из-за этого имеем проблемы с проприетарными драйверами, но не имеем некоторых других проблем. Подробнее: http://lxr.linux.no/#linux+v3.14.1/Documentation/stable_api_nonsense.txt

     
  • 2.6, Nuzhny (?), 22:54, 26/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Релизные драйвера поддерживают старое, беты и релиз-кандидаты - более новое.
     
     
  • 3.20, vovans (ok), 17:44, 28/04/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    разные драйверЫ
     
  • 2.14, Аноним (-), 12:30, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    между обеспечена работа и осуществлена поддержка есть определённая разница
     

  • 1.7, Игорь (??), 00:22, 27/04/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А где Underscan и Overscan?
     
  • 1.8, iZEN (ok), 00:46, 27/04/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    % pkg info -x xorg
    xorg-drivers-7.7
    xorg-fonts-100dpi-7.7
    xorg-fonts-75dpi-7.7
    xorg-fonts-miscbitmaps-7.7
    xorg-fonts-truetype-7.7_1
    xorg-fonts-type1-7.7
    xorg-minimal-7.5.2
    xorg-server-1.7.7_13,1

    Эх, не встанет — недостаточно стар. :))

     
     
  • 2.11, Аноним (-), 04:50, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Во фряшных портах и гцц всегда свежее, чем даже в генте. А разгадка проста.
     

  • 1.9, Аноним (-), 01:08, 27/04/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    А как дела с hd7770 обстоят, производительность увеличили?
    Последний раз свободный драйвер бегал шустрее, чем проприетарный...
     
     
  • 2.12, pavlinux (ok), 04:55, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Последний раз свободный драйвер бегал шустрее, чем проприетарный...

    Если у вас свободные драйвера  работают шустрее проприетарных, значит вы не включили компьютер.

     
  • 2.13, Аноним (-), 08:54, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Да. А еще он давно поддерживает OpenGL 4.5, а проприетарном только сейчас 4.4 добавили.
     
     
  • 3.15, pavlinux (ok), 14:15, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >  OpenGL 4.5

    1. Это не просто жирный троллинг, это жир с говном помазанный солидолом.
    Последняя спецификация 4.4, OpneGL 4.5 в природе нет.
    ---
    OpenGL 4.4 API Specification (updated March 19, 2014)
    http://www.opengl.org/registry/


    2. В открытом говнодривере - только софтварная поддержка, поэтому оно работает как слайдшоу.
    Аппаратно там OpenGL 2.3

     
     
  • 4.16, Аноним (-), 18:19, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • +5 +/
    > В открытом дривере - только софтварная поддержка, поэтому оно работает как слайдшоу. Аппаратно там OpenGL 2.3

    OpenGL 2.3 в природе нет.

    Вот твоё GTS 250 c "хардварным" блобом в unigine tropics: 65.5 fps
    http://toc.hashed.ru/files/1e2a.Unigine%20Tropics%20DX10.png

    Вот "софтварный" рендеринг radeonsi: 91.1 fps
    http://i.imgur.com/vBrpVjG.png

    Давай, расскажи еще что-нибудь про софтварный рендеринг и слайдшоу.

     
  • 4.17, commiethebeastie (ok), 18:41, 27/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >В открытом говнодривере - только софтварная поддержка, поэтому оно работает как слайдшоу.
    >Аппаратно там OpenGL 2.3

    Получи значок.

     
  • 4.18, maxis11 (ok), 05:32, 28/04/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > OpenGL 4.5
    > OpenGL 2.3

    Ну просто диванные аналитики собрались
    http://ru.wikipedia.org/wiki/OpenGL

    > В открытом говнодривере - только софтварная поддержка, поэтому оно работает как слайдшоу.

    софтварная поддержка (или драйвер swrast) поддерживает OpenGL 2.1.
    По остальным драйверам:
    http://cgit.freedesktop.org/mesa/mesa/tree/docs/GL3.txt

    P.S: Версия OpenGL не влияет на производительность одного и того же приложения, а расширяет функционал для разработчика.

     

  • 1.19, Аноним (-), 14:09, 28/04/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Перешел по ссылке, читаю:
    "Linux Distributions Supported:
    The AMD Catalyst™ 14.4 Release Candidate Driver for Linux is designed to support the following Linux distributions:
            Red Hat Enterprise Linux Suite 6.4 and 6.5
            SUSE® Linux Enterprise 11 SP3
            openSUSE 13.1
            Ubuntu 12.04.3, 12.04.4 and 13.10

    System Requirements:
    Before attempting to install the AMD Catalyst™ Linux graphics driver, the following software must be installed:
            Xorg/Xserver 7.4 and above (up to 1.15)
            Linux kernel 2.6 or above (up to 3.13)
            glibc version 2.2 or 2.3
            POSIX Shared Memory (/dev/shm) support is required for 3D applications
    "

    Как-то не коррелирует с:
    "Из официально поддерживаемых дистрибутивов отмечены Red Hat Enterprise Linux 6.3/6.4, SUSE Linux Enterprise 11 SP3, openSUSE 11.4/12.1 и Ubuntu 12.04.2, 12.04.4 и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux - 3.11."

     
     
  • 2.21, Аноним (-), 18:56, 28/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    > The AMD Catalyst™ 14.4 Release Candidate Driver for Linux is designed to

    ....
             Xorg/Xserver 7.4 and above
    > (up to 1.15)
    >         Linux kernel 2.6 or
    > above (up to 3.13)
    > Как-то не коррелирует с:
    > и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux  - 3.11."

    Где вы это нашли и почему у вас не релиз, а кандидат в релизы ("AMD Catalyst 14.4 Release Candidate") ? В примечании к релизу написано

    http://support.amd.com/en-us/kb-articles/Pages/AMDCatalyst14-4LINReleaseNotes

    Xorg/Xserver 7.4 and above (up to 1.14)
    Linux kernel 2.6 or above (up to 3.11)

     
     
  • 3.22, Led (ok), 01:07, 29/04/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >[оверквотинг удален]
    >>         Linux kernel 2.6 or
    >> above (up to 3.13)
    >> Как-то не коррелирует с:
    >> и 13.04. Поддержка X-server пока ограничена выпуском 1.14, а ядра Linux  - 3.11."
    > Где вы это нашли и почему у вас не релиз, а кандидат
    > в релизы ("AMD Catalyst 14.4 Release Candidate") ? В примечании к
    > релизу написано
    > http://support.amd.com/en-us/kb-articles/Pages/AMDCatalyst14-4LINReleaseNotes
    > Xorg/Xserver 7.4 and above (up to 1.14)
    > Linux kernel 2.6 or above (up to 3.11)

    На заборе тоже написано. А на самом деле: fglrx.ko отличается только датой (на 3.13 собираются без варнингов), библиотеки хоть и отличаются, но с Xorg 1.15.1 отлично работает.

     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру